package wstestbeans;

import remote.TwoMethodRemote;
import java.io.*;
import org.glassfish.websockets.api.annotations.*;
import wstestbeans.EncodedMessage;
/**
 *
 * @author dannycoward
 */
    @WebSocket(path="/twomethodremote",
            remote="remote.TwoMethodRemote")
public class TwoMethodRemoteTest {
    
    @WebSocketMessage (requireremote=true)
    public void acceptMessage(String message, TwoMethodRemote remote) {
        EncodedMessage eMessage = new EncodedMessage(message);
        try {
            remote.sendEncodedMessage(eMessage);
            Thread.sleep(200);
            remote.sendStringA(message);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    
    
}
