/*
 * To change this template, choose Tools | Templates and open the template in
 * the editor.
 */
package wstestbeans.eremote;

import remote.DoubleRemote;
import remote.IntRemote;
import org.glassfish.websockets.api.annotations.*;

/**
 *
 * @author dannycoward
 */
    @WebSocket(path="/customremote/double",
            remote="remote.DoubleRemote")
public class ERDouble {
    private double lastDouble;
    
    @WebSocketMessage(requireremote=true)
    public void handleIncomingDouble(double d, DoubleRemote doubleRemote) {
        this.lastDouble = d;
        makeCallback(doubleRemote);
    }
                
     private void makeCallback(DoubleRemote remote) {
        try {
            Thread.sleep(100);
            remote.sendDoubleMessage(lastDouble);
        } catch (Throwable t) {
            t.printStackTrace();
        }
        
    }           
}
