/*
 * To change this template, choose Tools | Templates and open the template in
 * the editor.
 */
package wstestbeans.eremote;

import remote.FloatRemote;
import remote.IntRemote;
import org.glassfish.websockets.api.annotations.*;

/**
 *
 * @author dannycoward
 */
    @WebSocket(path="/customremote/float",
            remote="remote.FloatRemote")
public class ERFloat {
    private float lastFloat;
    
    @WebSocketMessage(requireremote=true)
    public void handleIncomingFloat(float f, FloatRemote floatRemote) {
        this.lastFloat = f;
        makeCallback(floatRemote);
    }
                
    private void makeCallback(FloatRemote remote) {
        try {
            Thread.sleep(100);
            remote.sendFloatMessage(lastFloat);
        } catch (Throwable t) {
            t.printStackTrace();
        }
        
    }          
}
