/*
 * To change this template, choose Tools | Templates and open the template in
 * the editor.
 */
package wstestbeans.eremote;

import remote.IntRemote;
import remote.LongRemote;
import org.glassfish.websockets.api.annotations.*;

/**
 *
 * @author dannycoward
 */
    @WebSocket(path="/customremote/long",
            remote="remote.LongRemote")
public class ERLong {
    private long lastLong;
    
    @WebSocketMessage(requireremote=true)
    public void handleIncomingLong(long l, LongRemote longRemote) {
        this.lastLong = l;
        makeCallback(longRemote);
    }
                
    private void makeCallback(LongRemote remote) {
        try {
            Thread.sleep(100);
            remote.sendLongMessage(lastLong);
        } catch (Throwable t) {
            t.printStackTrace();
        }
        
    }           
}
