package remote;



import java.io.IOException;
import org.glassfish.websockets.api.ConversionException;
import org.glassfish.websockets.api.Peer;
import org.glassfish.websockets.api.annotations.WebSocketRemote;
import wstestbeans.EncodedMessage;
import wstestbeans.EncodedMessage;
/**
 *
 * @author dannycoward
 */
    
public interface TwoMethodRemote extends Peer {
    
        @WebSocketRemote()
        public void sendStringA(String a) throws IOException, ConversionException;
        
         @WebSocketRemote(
            encoder="wstestbeans.EncodedMessageEncoder")
    public void sendEncodedMessage(EncodedMessage message) throws IOException, ConversionException;

}
