/*
 * To change this template, choose Tools | Templates and open the template in
 * the editor.
 */
package wstestbeans;


import java.io.IOException;
import org.glassfish.websockets.api.ConversionException;
import org.glassfish.websockets.api.Peer;
import org.glassfish.websockets.api.annotations.*;

/**
 *
 * @author dannycoward
 */
    @WebSocket(path="/defaultpath")
public class DefaultPathsTest {
    
        @WebSocketOpen
        public void onOpen(Peer remote) {
            System.out.println("Connected");
        }
        @WebSocketMessage(
                requireremote=true
                )
        public void onMessage(String s, Peer remote) throws IOException, ConversionException {
            remote.sendMessage("Passed the default path test");
        }
        
        @WebSocketClose
        public void onClose(Peer remote) {
            System.out.println("Disconnected");
        }
        
        @WebSocketError
        public void handleError(Exception e) {
            System.out.println("Error...");
        }
}
