/*
 * To change this template, choose Tools | Templates and open the template in
 * the editor.
 */
package wstestbeans;

import remote.SimpleRemote;
import org.glassfish.websockets.api.annotations.*;
/**
 *
 * @author dannycoward
 */
    @WebSocket(path="/customremote/hello",
            remote="remote.SimpleRemote")
public class SimpleRemoteTest {
    String lastMessage;
    
        @WebSocketMessage(requireremote=true)
    public void handleIncoming(String message, SimpleRemote remote) {
        this.lastMessage = message;
        this.makeCallback(remote);
    }
        
    private void makeCallback(SimpleRemote remote) {
        try {
            Thread.sleep(100);
            remote.sendSimpleMessage("Server said: " + lastMessage);
        } catch (Throwable t) {
            t.printStackTrace();
        }
        
    }
    
}
