/*
 * To change this template, choose Tools | Templates and open the template in
 * the editor.
 */
package wstestbeans.eremote;

import remote.BooleanRemote;
import remote.IntRemote;
import org.glassfish.websockets.api.annotations.*;

/**
 *
 * @author dannycoward
 */
    @WebSocket(path="/customremote/boolean",
            remote="remote.BooleanRemote")
public class ERBoolean {
    private boolean lastBoolean;
    
    @WebSocketMessage(requireremote=true)
    public void handleIncomingBoolean(boolean b, BooleanRemote booleanRemote) {
        this.lastBoolean = b;
        makeCallback(booleanRemote);
    }
                
    private void makeCallback(BooleanRemote remote) {
        try {
            Thread.sleep(100);
            remote.sendBooleanMessage(lastBoolean);
        } catch (Throwable t) {
            t.printStackTrace();
        }
        
    }           
}
