/*
 * To change this template, choose Tools | Templates and open the template in
 * the editor.
 */
package wstestbeans.eremote;

import remote.CharRemote;
import remote.IntRemote;
import org.glassfish.websockets.api.annotations.*;

/**
 *
 * @author dannycoward
 */
    @WebSocket(path="/customremote/char",
            remote="remote.CharRemote")
public class ERChar {
    private char lastChar;
    
    @WebSocketMessage(requireremote=true)
    public void handleIncomingChar(char c, CharRemote charRemote) {
        this.lastChar = c;
        makeCallback(charRemote);
    }
                
    private void makeCallback(CharRemote remote) {
        try {
            Thread.sleep(100);
            remote.sendCharMessage(lastChar);
        } catch (Throwable t) {
            t.printStackTrace();
        }
        
    }      
}
