/*
 * To change this template, choose Tools | Templates and open the template in
 * the editor.
 */
package wstestbeans.eremote;

import remote.IntRemote;
import remote.ShortRemote;
import org.glassfish.websockets.api.annotations.*;

/**
 *
 * @author dannycoward
 */
    @WebSocket(path="/customremote/short",
            remote="remote.ShortRemote")
public class ERShort {
    private short lastShort;
    
    @WebSocketMessage(requireremote=true)
    public void handleIncomingShort(short s, ShortRemote shortRemote) {
        this.lastShort = s;
        makeCallback(shortRemote);
    }

    
    private void makeCallback(ShortRemote remote) {
        try {
            Thread.sleep(100);
            remote.sendShortMessage(lastShort);
        } catch (Throwable t) {
            t.printStackTrace();
        }
        
    }        
}
