/*
 * To change this template, choose Tools | Templates and open the template in
 * the editor.
 */
package wstestbeans.eremote;

import remote.EncodedRemote;
import org.glassfish.websockets.api.annotations.*;
import wstestbeans.EncodedMessage;

/**
 *
 * @author dannycoward
 */
    @WebSocket(path="/customremote/encoded",
            remote="remote.EncodedRemote")
public class Encoded {
    private String lastMessage;
    
    @WebSocketMessage(requireremote=true)
    public void handleIncoming(String message, EncodedRemote remote) {
        this.lastMessage = message;
        this.makeCallback(remote);
    }
    
    private void makeCallback(EncodedRemote remote) {
        try {
            Thread.sleep(100);
            EncodedMessage em = new EncodedMessage("Server said: " + lastMessage);
            remote.sendEncodedMessage(em);
        } catch (Throwable t) {
            t.printStackTrace();
        }
    }
}
